<?php declare(strict_types=1);

namespace EuKit\Base;

use Infomaker\Everyware\Base\Utilities;

/**
 * Class AssetsHelper
 * @package App
 */
class AssetsHelper
{
    public static function getScriptUrl(string $fileName): string
    {
        if (is_prod() || is_stage()) {
            return Utilities::getStaticThemeUri() . "/assets/js/{$fileName}.min.js";
        } else {
            return Utilities::getStaticThemeUri() . "/assets/js/{$fileName}.js";
        }
    }

    public static function getStyleUrl(string $fileName): string
    {
        if (is_prod() || is_stage()) {
            return Utilities::getStaticThemeUri() . "/assets/css/{$fileName}.min.css";
        } else {
            return Utilities::getStaticThemeUri() . "/assets/css/{$fileName}.css";
        }
    }
}
